Details

    • Type: Task
    • Status: Open
    • Priority: Medium
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: dcos-e2e
    • Labels:

      Description

      Multiple users have hit the following traceback:

      $ minidcos docker setup-mac-network --configuration-dst=$PWD/docker-for-mac.ovpn
      Traceback (most recent call last):
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/docker/credentials/store.py", line 80, in _execute
          [self.exe, subcmd], input=data_input, env=env,
        File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/subprocess.py", line 395, in check_output
          **kwargs).stdout
        File "/usr/local/opt/python/Frameworks/Python.framework/Versions/3.7/lib/python3.7/subprocess.py", line 487, in run
          output=stdout, stderr=stderr)
      subprocess.CalledProcessError: Command '['/usr/local/bin/docker-credential-osxkeychain', 'list']' returned non-zero exit status 1.
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "/usr/local/bin/minidcos", line 11, in <module>
          load_entry_point('DCOS-E2E==2019.6.19.0', 'console_scripts', 'minidcos')()
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/click/core.py", line 764, in __call__
          return self.main(*args, **kwargs)
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/click/core.py", line 717, in main
          rv = self.invoke(ctx)
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/click/core.py", line 1137, in invoke
          return _process_result(sub_ctx.command.invoke(sub_ctx))
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/click/core.py", line 1137, in invoke
          return _process_result(sub_ctx.command.invoke(sub_ctx))
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/click/core.py", line 956, in invoke
          return ctx.invoke(self.callback, **ctx.params)
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/click/core.py", line 555, in invoke
          return callback(*args, **kwargs)
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/dcos_e2e_cli/dcos_docker/commands/mac_network.py", line 228, in setup_mac_network
          enable_spinner=enable_spinner,
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/dcos_e2e_cli/dcos_docker/commands/mac_network.py", line 87, in _create_mac_network
          tag=proxy_image_tag,
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/docker/models/images.py", line 279, in build
          resp = self.client.api.build(**kwargs)
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/docker/api/build.py", line 261, in build
          self._set_auth_headers(headers)
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/docker/api/build.py", line 308, in _set_auth_headers
          auth_data = self._auth_configs.get_all_credentials()
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/docker/auth.py", line 302, in get_all_credentials
          for k in store.list().keys():
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/docker/credentials/store.py", line 71, in list
          data = self._execute('list', None)
        File "/usr/local/Cellar/minidcos/2019.06.19.0/libexec/lib/python3.7/site-packages/docker/credentials/store.py", line 93, in _execute
          raise errors.process_store_error(e, self.program)
      docker.credentials.errors.StoreError: Credentials store docker-credential-osxkeychain exited with "The specified item could not be found in the keychain.".
      

      This is because the file was created by an old Docker Desktop version with a bug https://github.com/docker/compose/issues/6517#issuecomment-471625374.

      This might be caused by an issue in Docker Desktop which is storing if it is using the keychain in ~/.docker/config.json with the incorrect key: “credSstore” : “osxkeychain” instead of credsStore.

      We should have a minidcos docker doctor check which alerts users of this if they have such an error in their config.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              adamdangoor Adam Dangoor (Inactive)
              Team:
              Mesosphere
              Watchers:
              Adam Dangoor (Inactive)
            • Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: